SRT-NORMALISE(1)

NAME
srt-normalise - SRT subtitle processing tool

DESCRIPTION
usage: srt normalise [-h] [--input FILE] [--output FILE] [--inplace] [--debug]

    [--ignore-parsing-errors] [--encoding ENCODING]

Takes a badly formatted SRT file and outputs a strictly valid one.

  options:

-h, --help
    show this help message and exit

--input, -i FILE
    the file to process (default: stdin)

--output, -o FILE
    the file to write to (default: stdout)

--inplace, -p
    modify file in place

--debug
    enable debug logging

--ignore-parsing-errors, -c
    try to keep going, even if there are parsing errors

--encoding, -e ENCODING
    the encoding to read/write files in (default: utf8)

  examples:

    Normalise a subtitle

    $ srt normalise -i bad.srt -o good.srt